اختيار منهج
ابدأ بمهمة: التحقق أو المقارنة أو التوثيق أو اتخاذ قرار.
بحث
نقطة دخول موحدة للعثور على المنهج أو المصدر أو الحالة المفيدة لسؤالك.
اعثر على منهج يناسب حاجتكيجب أن تتطابق جميع الكلمات دون تمييز حالة الأحرف أو علامات النطق. يجري البحث باللغة المختارة.
بعد حرفين: الأسهم للاختيار، Enter للفتح وEscape للإغلاق. يمكنك أيضاً إرسال البحث الكامل.
تحتاج الأعداد المعقولة إلى نظام ووحدات واتفاق برنامج. توضح وثائق GDAL وOGC API Features أن WGS 84 وحده لا يحدد ترتيب البيانات.
تعطي RFC 7946 نطاقين بالقيم الحدية نفسها: 5° عبر خط 180 و355° بالجهة الأخرى. ترتيب الطولين آلياً يغير المنطقة.
تعطي أمثلة GeographicLib الرسمية مدخلات ومخرجات قابلة للتكرار على WGS 84. لا مسارات طرق أو ترميز عناوين هنا.
يغير المسند التطابقات. القواعد الثلاث الأولى لـ geometry ثنائي الأبعاد. المضلع التعليمي ذو الثقب لا يمثل بلدية حقيقية.
قد تبدو الأسماء متطابقة مع تسلسلات مختلفة. يحدد UAX #15 أربع صيغ. الحالات العشر الرسمية من Unicode 17.0.0، إصدار مثبت للمصدر لا إصدار مفترض للمتصفح.
يتطلب الطول وحدة. الأعداد من قواعد UTF-8 وUTF-16 لتسلسلات دقيقة، لا ملف الزائر. في الجدول: cp نقاط الرمز وB بايتات.
تصف RFC 4180 المعلوماتية تنسيقاً شائعاً لا كل اللهجات. يفكك الفصل عند كل فاصلة وسطر الخلايا. الأمثلة صياغة تعليمية لا مشاهدات.
يفصل CSVW من W3C النص والقيمة الدلالية ولا يميز الفراغ المقتبس. ليست قاعدة كل مستورد.
تحدد RFC 8259 الصياغة لا الدقة المطلقة. قد تتغير الأعداد الطويلة عند القراءة. أمثلة تعليمية لا معرفات ممنوحة.
توثق Microsoft نظامي 1900 و1904. يعطي مثال 5 يوليو 2011 رقمين لليوم نفسه. لا يحدد التنسيق الظاهر النظام.
تنشر وثائق PostgreSQL 18 جدولين تعليميين من ثلاثة صفوف. يعرض المحاكي تسع تركيبات دون كيانات حقيقية أو اتصال بقاعدة. الأعداد لهذا المثال فقط.
تستخدم SQL ثلاث قيم. قواعد PostgreSQL 18 لا تتطلب مجموعة محددة.
ليس حقل id مفتاحاً أساسياً تلقائياً. المهم القيد الفعال. قواعد PostgreSQL 18 وقد تختلف أنظمة أخرى مع NULL.
يتغير الإجمالي بتغير الوحدة. تميز PostgreSQL الصفوف والقيم غير NULL والمختلفة. ليست أرقام التعليم قياسات.
المرجع للهجة 2020-12 مع مدقق يدعمها. أمثلة تعليمية. قواعد الكائن تفترض type: object؛ لا تفرضه required وحدها.
يصف PROV-O من W3C منشأ البيانات. تتبع الأسهم الخصائص لا ترتيباً زمنياً من اليسار. E0 وA وE1 علامات تعليمية.
تقارن القرارات بتوسيم مرجعي. ميز خطأ الكشف والتوسيم والأعمدة. تضع scikit-learn المرجع بالصفوف والتنبؤ بالأعمدة؛ الموجب هنا 1.
صيغ ثنائية بلا أوزان مع فئة موجبة معلنة. لا تعني إشارة آلية اقتباساً دقيقاً أو نتيجة مفيدة.
المثال المنشور: المراجع [0,0,1,1] والدرجات [0.10,0.40,0.35,0.80]. أزواج تعليمية مطابقة لا نتائج وكلاء أو احتمالات معايرة مضمونة. الموجب إذا كانت الدرجة ≥ العتبة.
تعطي الأزواج الرسمية الأربع ROC AUC بقيمة 3/4 وAP بقيمة 5/6: حساب تعليمي لا أداء وكيل. لا تتغير بتغير العتبة وحدها.
يقارن المثال [0,1,2,2,2] مع [0,0,2,2,1]. القيم بمنزلتين والأزواج الأصلية أدناه. يختلف عن مثال الدرجات الثنائية الأربع.
قد تعطي صيغة صحيحة نتيجة متفائلة. افصل التدريب والضبط والاختبار النهائي حتى لتعليمات الوكلاء.
تصف LCP وINP وCLS ثلاثة أبعاد مختلفة للتجربة. تصنف العتبات المنشورة قيمة عددية، لكنها لا تجعل اختبارا منفردا ممثلا لجميع الزوار.
تصف استجابة CrUX مجموعة مؤهلة داخل نافذة متحركة. قبل مقارنة قيمتي p75 احفظ مفتاح الطلب والأجهزة والتواريخ المعادة.
ابدأ بمهمة: التحقق أو المقارنة أو التوثيق أو اتخاذ قرار.
افحص أصل المعلومات وتاريخها ونطاقها وحدودها.
راجع التعريفات قبل تطبيق بروتوكول.
قراءة موسعة / تطبيق عملي
طلب واحد يعطي العديد من النتائج القريبة. يجب أن يساعد القراءة على التمييز بين ملف تعريف الحاجة والطريقة التفصيلية وأداة التطبيق.
آخر تحديث في .
صياغة الحاجة الملموسة ثم محاولة المصطلحات المجاورة. اقرأ الوصفات واختر نوع الموارد حسب الخطوة التي تبحث عنها: فهم أو تنفيذ أو التحكم.
ليس النتيجة الأولى هي دائمًا الوثيقة الأكثر ملاءمة للسياق. يمكن أن يأتي غياب من القاموس المستخدم بدلاً من نقص المحتوى.
يربط مسارًا قصيرًا صفحة تعريف الحاجة ، دليلًا ورقمًا للتحكم. الحفاظ على الأسئلة غير المنقولة يساعد على إعادة إعمار البحوث.
حالة عملية / مثال تعليمي
في الحالة التالية يظهر إجراء لتحديد الحاجة. إن المواقف تعليمية: تستخدم لفحص الخيارات والشروط اللازمة للنجاح، دون وصف مهمة تم تنفيذها أو الإعلان عن نتيجة مضمونة.
يبحث القارئ عن كيفية التحقق من الرقم ، في حين أن الموارد تستخدم كلمة المؤشر. يجب أن تكون النتائج قادرة على الاستمرار على الرغم من صياغة مختلفة من العنوان.
جرب المصطلحات المجاورة وقراءة الوصفات. تمييز أساليب الحساب والمقارنة والتحقق من المصادر. اختيار الموارد التي تتوافق مع المرحلة التي تبحث عنها فعلا.
أصبحت البحث مسارًا للحل. الأسئلة التي لا تزال مفتوحة تستخدم لتحديد الطلب التالي بدلا من تضاعف الكلمات دون نية واضحة.
الحفاظ على مسألة البداية، ثم تحديد الموضوع، والعملية ونوع الموارد. النتائج المفيدة تعطي قاموسًا إضافيًا ، لكن عنوانها لا ينبغي أن يحل محل هدف القارئ تلقائيًا.
ورشة مفصلة / تطبيق
وصف السؤال الأولي والنتيجة المطلوبة. تحديد الموضوع والعمليات ونوع الموارد التي يمكن أن تساعد: الملف أو الطريقة أو الأداة.
حاول أن تقرأ و اقرأ الوصف. تحديد المصطلحات المفيدة وتجربة الاختلافات دون التخلي عن النية. مقارنة الموارد التي تم العثور عليها حسب مساهمتها في المسار.
إذا كانت النتائج قريبة ولكنها عامة للغاية، تحديد العملية أو المحيط. صفحة جيدة التصنيف ليست بالضرورة تلك التي تلبي الخطوة التي تبحث عنها.
البحث مفيد عندما يؤدي إلى مصدر يمكن تحديد إجابة. الأسئلة المفتوحة تستخدم في إعداد الاستشارة القادمة.
الحفاظ على مسار قصير مع الطلب والموارد والمكملات. يمكن للقارئ استئناف عمله دون استعادة الاختبارات التي أدت إلى المحتوى المفيد.
وثيقة مشروحة / جدول مراجعة
يحتفظ الملاحظة بالمسألة والطباعة والنتائج المفيدة والموارد القادمة. يميز قاموس الاستكشاف عن الهدف الأصلي للقارئ.
على شاشة صغيرة، مرّر الجدول أفقياً لقراءة الأعمدة الثلاثة.
| الملاحظة | التفسير المدعوم | الخطوة التالية |
|---|---|---|
| الموارد تتوافق مع العملية المطلوبة. | يمكن أن يكون النتيجة خطوة مفيدة في المسار. | الحفاظ على الممر واختيار الملحق المطلوب. |
| لا يزال النتائج عامة على الرغم من الموضوع الصحيح. | يجب أن يحدد الطلب عمل أو موضوع أو نطاق. | تحاول صياغة مناسبة دون أن تفقد السؤال الأولي. |
| النتيجة الأولى هي الكلمة ولكن ليس الإجابة. | إن وجود المصطلح لا يثبت أهميته. | اقرأ الوصفات ومقارنة مساهمة الموارد. |
تأكد التحقق النهائي من أن كل خطوة تقليل سؤال مفتوح. قائمة الروابط لا تزال ليست مسارًا مفيدًا إذا لم يكن القارئ قادرًا على شرح ما يجلب كل صفحة.
عرض النتائج / مثال على الصياغة
يجب أن يتم تقييم نتيجة البحث حسب مساهمته في العملية المطلوبة.
تأكد من أن المسار يحافظ على السؤال الأولي على الرغم من الاختلافات في القاموس.
الموارد التي تم اختيارها تتوافق مع المرحلة الموصوفة من الحاجة. الأسئلة التي لا تزال مفتوحة تركز على الاستشارة التالية وتبقى منفصلة عن الإجابة التي تم العثور عليها.